Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1340636 - PMDK (NVML) does not support Power64 architectures
Summary: PMDK (NVML) does not support Power64 architectures
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nvml
Version: 30
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Krzysztof Czurylo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2016-05-29 11:23 UTC by Krzysztof Czurylo
Modified: 2019-02-19 17:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 162695 None None None 2019-03-18 09:11:15 UTC

Description Krzysztof Czurylo 2016-05-29 11:23:14 UTC
Description of problem:

1. By design, NVML does not support any 32-bit architecture.
2. Due to dependency on xmmintrin.h and because of using some inline assembly, it builds only for x86_64 at the moment.  Other 64-bit architectures could also be supported, if only there is a request for that, and if somebody provides the arch-specific implementation of the low-level routines for flushing to persistent memory.

Comment 1 Jan Kurik 2016-07-26 04:31:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:45:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-02-20 15:25:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Ben Cotton 2019-02-19 17:08:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.


Note You need to log in before you can comment on or make changes to this bug.